﻿using System;
using System.Windows;
using System.Windows.Controls;

namespace ACSuite.Views
{
    public partial class CompoundingCalculator : Window
    {
        public CompoundingCalculator()
        {
            InitializeComponent();
        }

        private void CalculateTab1_Click(object sender, RoutedEventArgs e)
        {
            try
            {
                double s = double.Parse(ShortTermRate1.Text);
                int n = int.Parse(NumberOfShorterTerms1.Text);
                double result = (Math.Pow(1 + s / 100, n) - 1) * 100;
                ResultLabel1.Text = $"{result:0.00}%";
            }
            catch (Exception ex)
            {
                ResultLabel1.Text = $"Error: {ex.Message}";
            }
        }

        private void CalculateTab2_Click(object sender, RoutedEventArgs e)
        {
            try
            {
                double startingValue = double.Parse(StartingValue2.Text);
                double endingValue = double.Parse(EndingValue2.Text);
                int n = int.Parse(NumberOfTimePeriods2.Text);
                double result = (Math.Pow(endingValue / startingValue, 1.0 / n) - 1) * 100;
                ResultLabel2.Text = $"{result:0.00}%";
            }
            catch (Exception ex)
            {
                ResultLabel2.Text = $"Error: {ex.Message}";
            }
        }

        private void CalculateTab3_Click(object sender, RoutedEventArgs e)
        {
            try
            {
                double startingValue = double.Parse(StartingValue3.Text);
                double rate = double.Parse(ShortTermRate3.Text);
                int n = int.Parse(NumberOfShorterTerms3.Text);
                double endValue = startingValue * Math.Pow(1 + rate / 100, n);
                ResultLabel3.Text = $"{endValue:0.00}";
            }
            catch (Exception ex)
            {
                ResultLabel3.Text = $"Error: {ex.Message}";
            }
        }
    }
}